## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleProfileDetailsPropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                          org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsPropertyPage

All Implemented Interfaces:
  IDriverUIContributorInformation, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

Direct Known Subclasses:
  HSQLDBProfilePropertyPage, SQLITEProfilePropertyPage

    public class ExtensibleProfileDetailsPropertyPage

extends ProfileDetailsPropertyPage
implements IDriverUIContributorInformation

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ExtensibleProfileDetailsPropertyPage()` Requires that a mapping from the driver category ID be made from the provider ID via the mappings extension point.
`ExtensibleProfileDetailsPropertyPage(java.lang.String driverCategoryID)`

Method Summary
`org.eclipse.swt.graphics.Point` `computeSize()`
`boolean` `determinePageCompletion()`
`void` `dispose()`
`java.util.Properties` `getProperties()`
`void` `setProperties(java.util.Properties properties)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
`setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, getConnectionProfile, performOk`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### ExtensibleProfileDetailsPropertyPage

    public ExtensibleProfileDetailsPropertyPage()

  Requires that a mapping from the driver category ID be made from the provider ID via the mappings extension point.

### ExtensibleProfileDetailsPropertyPage

    public ExtensibleProfileDetailsPropertyPage(java.lang.String driverCategoryID)

Method Detail

### determinePageCompletion

    public boolean determinePageCompletion()

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `IDriverUIContributorInformation`

### setProperties

    public void setProperties(java.util.Properties properties)

  Specified by:
    `setProperties` in interface `IDriverUIContributorInformation`

### computeSize

    public org.eclipse.swt.graphics.Point computeSize()

  Specified by:
    `computeSize` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `computeSize` in class `org.eclipse.jface.preference.PreferencePage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `dispose` in class `ProfilePropertyPage`